osl::PtypeFuns< T > Struct Template Reference

`#include <ptypeTraits.h>`

## Static Public Attributes

static const bool | hasLongMove =(PtypeTraits<T>::indexMin>=32)
static const uint64_t | indexMask =PtypeFunsSub<T,PtypeTraits<T>::isBasic>::indexMask
static const Ptype | promotePtype =PtypeFunsSub<T,PtypeTraits<T>::canPromote>::promotePtype
static const Ptype | basicType =PtypeFunsSub<T,PtypeTraits<T>::isBasic>::basicType

## Detailed Description

template<Ptype T>
struct osl::PtypeFuns< T >

Definition at line 310 of file ptypeTraits.h.

## Member Data Documentation

## basicType

template<Ptype T>

const Ptype osl::PtypeFuns< T >::basicType =PtypeFunsSub<T,PtypeTraits<T>::isBasic>::basicType

static

Definition at line 320 of file ptypeTraits.h.

Referenced by osl::PieceMask::clearBit(), osl::PieceMask::selectBit(), and osl::PieceMask::setBit().

## hasLongMove

template<Ptype T>

const bool osl::PtypeFuns< T >::hasLongMove =(PtypeTraits<T>::indexMin>=32)

static

Definition at line 317 of file ptypeTraits.h.

## indexMask

template<Ptype T>

const uint64_t osl::PtypeFuns< T >::indexMask =PtypeFunsSub<T,PtypeTraits<T>::isBasic>::indexMask

static

Definition at line 318 of file ptypeTraits.h.

Referenced by osl::effect::NumBitmapEffect::hasAny(), osl::NumEffectState::hasEffectInDirection(), osl::PtypeTable::initPtypeSub(), osl::move_probability::StateInfo::makePinOfLongPieces(), osl::move_probability::PromotionBySacrifice::match(), and osl::effect::NumBitmapEffect::selectLong().

## promotePtype

template<Ptype T>

const Ptype osl::PtypeFuns< T >::promotePtype =PtypeFunsSub<T,PtypeTraits<T>::canPromote>::promotePtype

static

Definition at line 319 of file ptypeTraits.h.

The documentation for this struct was generated from the following file:

- ptypeTraits.h